Subject: bug#18997: 24.4; IDLWAVE: Emacs crashes when trying to change the window while in the IDL shell

From: JD Smith <[email-masked]>
Date: Mon, 28 Mar 2016 18:49:38 -0400

> On Mar 24, 2016, at 8:04 PM, Paul Eggert <[email-masked]> wrote:
> 
> Using Jonathan Woithe's September 2015 recipe, I reproduced this bug report's problems on Fedora 23 with gtk3 in the emacs-25 branch, and installed the attached patches, which fixed the bugs for me.
> 
> I do like the idea of moving the IDLWAVE stuff to an ELPA package, though I don't have time to do that myself.
> 
> I'm boldly marking the bug as fixed.
> 
> http://bugs.gnu.org/18997
> <0001-Avoid-GTK-3-crash-with-icons-and-masks.patch><0002-Avoid-stray-As-next-to-IDLW-icons.patch>

Thanks for tracking this down. I never use the toolbar so never tripped this particular bug.  The “A” people have seen with the buttons comes from the addition of identifying strings beneath the icons which apparently didn’t exist when this code was written (before my involvement).  The “a" had been hard-coded in.  I’ve replaced it with something sensible for each icon in upstream.  Emacs used to allow multiple lines of toolbars which made these more useful (perhaps that’s a widget toolset issue).

Though I don’t have time to lead it, I’m amenable to helping with an ELPA transition if someone wants to take that on.